### File

`packages/ecl/components/ecl-timeline/ecl-timeline.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-timeline, ol[eclTimeline]`
styles | `:host { display: block; }`
templateUrl | `ecl-timeline.component.html`

### Index

###### Properties
attrRole isExpanded timelineItems
###### Methods
onFocusFirstExpandedLink getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
attr.data-ecl-timeline-expanded attr.role class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.data-ecl-timeline-expanded
Type : `boolean | null`
Default value : `null`

attr.role
Type : `string`
Default value : `'list'`
Sets the `role` attribute of the host element to `list` for accessibility purposes.

class
Type : `string`
Applies the `ecl-timeline` CSS class to the host element.

### Methods

onFocusFirstExpandedLink
`onFocusFirstExpandedLink(item: EclTimelineItemComponent)`
Focuses the first link in the expanded timeline item, ensuring it's only done once per toggle group interaction. Parameters :
Name | Type | Optional | Description
item | `EclTimelineItemComponent` | No | The timeline item to check and potentially focus.
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

attrRole
Type : `string`
Default value : `'list'`
Decorators : `@HostBinding('attr.role')`
Sets the `role` attribute of the host element to `list` for accessibility purposes.

isExpanded
Type : `boolean | null`
Default value : `null`
Decorators : `@HostBinding('attr.data-ecl-timeline-expanded')`

timelineItems
Type : `QueryList<EclTimelineItemComponent>`
Decorators : `@ContentChildren(undefined)`
List of projected `EclTimelineItemComponent` instances. Collected using `@ContentChildren`.

### Accessors

cssClasses
get `cssClasses()`
Applies the `ecl-timeline` CSS class to the host element. Returns : `string`

# results matching ""

# No results matching ""